@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100

top to bottom direction
skinparam linetype ortho

class AccountGroup {
   accountGroupId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   defaultAccountGroup: tinyint(4)
   description: varchar(75)
   name: varchar(75)
   type_: varchar(75)
}
class AccountGroupRel {
   accountGroupRelId: bigint(20)
   --
   accountGroupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
}
entity ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   name: varchar(255)
   scope: int(11)
   primKey: varchar(255)
   primKeyId: bigint(20)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}

ResourcePermission }o--o| AccountGroup:ClassPk
AccountGroupRel }o--o| AccountGroup:ClassPk

@enduml
